# Class RcsbFv3DAssembly

#### Hierarchy

- RcsbFv3DAbstract<{
  instanceSequenceConfig?: InstanceSequenceConfig;
  }, LoadMolstarInterface, {
  viewerElement: string | HTMLElement;
  viewerProps: Partial<ViewerProps>;
  }, undefined>
  - RcsbFv3DAssembly

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:40

#####
Index

### Constructors

constructor

### Methods

pluginCall
render
unmount
updateConfig

## Constructors

### constructor

- new RcsbFv3DAssembly(params: RcsbFv3DAssemblyInterface): RcsbFv3DAssembly

- #### Parameters

  - ##### params: RcsbFv3DAssemblyInterface

  #### Returns RcsbFv3DAssembly

  Overrides RcsbFv3DAbstract.constructor

  - Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:42

## Methods

### pluginCall

- pluginCall(f: ((plugin: PluginContext) => void)): void

- #### Parameters

  - ##### f: ((plugin: PluginContext) => void)

    - - (plugin: PluginContext): void

      - #### Parameters

        - ##### plugin: PluginContext

        #### Returns void

  Inherited from RcsbFv3DAbstract.pluginCall

  - Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:88

### render

- render(): void

- #### Returns void

  Inherited from RcsbFv3DAbstract.render

  - Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:47

### unmount

- unmount(removeHtmlElement?: boolean, unmountCallback?: (() => {})): void

- #### Parameters

  - ##### `Optional` removeHtmlElement: boolean

  - ##### `Optional` unmountCallback: (() => {})

    - - (): {}

      - #### Returns {}

  #### Returns void

  Inherited from RcsbFv3DAbstract.unmount

  - Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:71

### updateConfig

- updateConfig(config: {
  sequencePanelConfig?: Partial<RcsbFvSequenceInterface<{
  instanceSequenceConfig?: InstanceSequenceConfig;
  }, LoadMolstarInterface<any>, undefined>>;
  structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<LoadMolstarInterface<any>, {
  viewerElement: string | HTMLElement;
  viewerProps: Partial<ViewerProps>;
  }>>;
  }): void

- #### Parameters

  - ##### config: {
    sequencePanelConfig?: Partial<RcsbFvSequenceInterface<{
    instanceSequenceConfig?: InstanceSequenceConfig;
    }, LoadMolstarInterface<any>, undefined>>;
    structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<LoadMolstarInterface<any>, {
    viewerElement: string | HTMLElement;
    viewerProps: Partial<ViewerProps>;
    }>>;
    }

    - ##### `Optional` sequencePanelConfig?: Partial<RcsbFvSequenceInterface<{
      instanceSequenceConfig?: InstanceSequenceConfig;
      }, LoadMolstarInterface<any>, undefined>>

    - ##### `Optional` structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<LoadMolstarInterface<any>, {
      viewerElement: string | HTMLElement;
      viewerProps: Partial<ViewerProps>;
      }>>

  #### Returns void

  Inherited from RcsbFv3DAbstract.updateConfig

  - Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:84

Generated using TypeDoc